Partial Update Department
curl --request PATCH \
--url https://api.meetcampfire.com/coa/api/department/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"code": "<string>",
"name": "<string>",
"display_name": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"parent": 123
}
'import requests
url = "https://api.meetcampfire.com/coa/api/department/{id}"
payload = {
"active": True,
"code": "<string>",
"name": "<string>",
"display_name": "<string>",
"tag_ids": [0],
"tag_group_ids": [0],
"parent": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
code: '<string>',
name: '<string>',
display_name: '<string>',
tag_ids: [0],
tag_group_ids: [0],
parent: 123
})
};
fetch('https://api.meetcampfire.com/coa/api/department/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"parent_name": "<string>",
"tags": [
{}
],
"last_modified_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"active": true,
"display_name": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"parent": 123
}Company Objects
Partial Update Department
PATCH
/
coa
/
api
/
department
/
{id}
Partial Update Department
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
250Maximum string length:
250Maximum string length:
600Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-9223372036854776000 <= x <= 9223372036854776000Response
200 - application/json
Show child attributes
Show child attributes
Maximum string length:
250Maximum string length:
250Maximum string length:
600Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-9223372036854776000 <= x <= 9223372036854776000⌘I